﻿///////////////////////////////////////////////////////////////////////////////////////////////
//Code samples are presented "as is". 
//No guarantee is made as to the accuracy or application to any specific solution is made. 
//Use at your own risk. 
//
//Code samples may be used in code as long as credit is given to the original author. 
//Contents may not be reproduced or published in any other manner what so ever without 
//written permission from Idioma Software Inc.
//
//
//Determining the prod/dev connection string during run-time
//
//Jon Vote - 2008
//
//Idioma Software Inc. 
//www.idioma-software.com
//www.skycoder.com 
//jon@idioma-software.com 
//
//541-488-1972 (USA)

using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using MySql.Data.MySqlClient;
using System.Text; 

public partial class _Default : System.Web.UI.Page 
{
    /// <summary>
    /// 
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    /// <summary>
    /// btnTest_Click
    /// </summary>
    /// <param name="sender"></param>
    /// <param name="e"></param>
    protected void btnTest_Click(object sender, EventArgs e)
    {
        //Database connection test 
        StringBuilder strbOutput = new StringBuilder(
                  "Using the following settings:<br/>"
                + "This Machine Name: "
                + HttpContext.Current.Server.MachineName + "<br/>" 
                + "Dev Machine Name: "
                + DataServices.DevMachine + "<br/>"
                + "Connection String: "
                + DataServices.ConnectionString + "<br/>");

        MySqlConnection con = null;
        try
        {
            strbOutput.Append("Creating connection...<br/>");
            con = DataServices.CreateConnection();
            strbOutput.Append("Testing connection...");
            con.Open();
            strbOutput.Append("Success<br/>");
        }
        catch (System.Exception ex)
        {
            strbOutput.Append("Error:<br/>" + ex.Message + "\r\n");
        }

        finally
        {
            if (con.State == System.Data.ConnectionState.Open)
                con.Close();
        }
        spnOutput.InnerHtml = strbOutput.ToString();
    }
}
